<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content">


    <LinearLayout
        android:id="@+id/ll_electric"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_margin="2dp"
        android:background="@drawable/bg_friend_electric"
        android:elevation="2dp"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingHorizontal="9dp"
        android:paddingVertical="3dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <com.atmob.map_amap_android.widget.BatteryView
            android:id="@+id/battery_view"
            android:layout_width="18dp"
            android:layout_height="9.8dp" />

        <TextView
            android:id="@+id/tv_electric"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="2dp"
            android:textColor="#666666"
            android:textSize="11dp"
            tools:text="40%" />

    </LinearLayout>

    <Space
        android:id="@+id/space_bottom"
        android:layout_width="wrap_content"
        android:layout_height="44dp"
        app:layout_constraintEnd_toEndOf="@+id/location_marker_iv_bg"
        app:layout_constraintStart_toStartOf="@+id/location_marker_iv_bg"
        app:layout_constraintTop_toTopOf="@+id/location_marker_iv_bg" />


    <View
        android:id="@+id/v_bottom"
        android:layout_width="11dp"
        android:layout_height="11dp"
        app:layout_constraintEnd_toEndOf="@+id/location_marker_iv_bg"
        app:layout_constraintStart_toStartOf="@+id/location_marker_iv_bg"
        app:layout_constraintTop_toBottomOf="@+id/space_bottom"
        tools:background="@drawable/icon_marker_selected_bottom_circle" />

    <ImageView
        android:id="@+id/location_marker_iv_bg"
        android:layout_width="44dp"
        android:layout_height="0dp"
        android:layout_marginTop="6dp"
        app:layout_constraintDimensionRatio="132:150"
        app:layout_constraintEnd_toEndOf="@+id/ll_electric"
        app:layout_constraintStart_toStartOf="@+id/ll_electric"
        app:layout_constraintTop_toBottomOf="@+id/ll_electric"
        tools:src="@drawable/icon_location_marker_selected" />


    <ImageView
        android:id="@+id/iv_marker_avatar"
        android:layout_width="38dp"
        android:layout_height="38dp"
        app:layout_constraintBottom_toBottomOf="@+id/location_marker_iv_bg"
        app:layout_constraintEnd_toEndOf="@+id/location_marker_iv_bg"
        app:layout_constraintStart_toStartOf="@+id/location_marker_iv_bg"
        app:layout_constraintTop_toTopOf="@+id/location_marker_iv_bg"
        app:layout_constraintVertical_bias="0.25"
        tools:src="@drawable/icon_default_friend_avatar" />


</androidx.constraintlayout.widget.ConstraintLayout>